/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: $
 */

/* System headers */
#include <mbctype.h>
#include <mbstring.h>

/* Functions */
unsigned char *mbsrev (unsigned char *string)
{
    unsigned char *rval = string, *head = string;
    size_t len;
    int ch;

    /* 2 oCg𔽓] */
    while ((ch = _mbsnextc (string)) != '\0') {
	if (_MBIS16 (ch)) {
	    *string++ = _MBGETL (ch);
	    *string++ = _MBGETH (ch);
 	}
	else
	    string++;
    }

    /* Ŝ𔽓] */
    for (len = (size_t) (string - head) / 2; len; --len) {
	ch = *head;
	*head++ = *--string;
	*string = ch;
    }

    /* rval Ԃ */
    return rval;
}

/* EOF */
