/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: _getinode.c,v 1.7 1994/11/26 15:06:12 mura Exp $
 */

/* System headers */
#include <sys/dos.h>
#include <sys/stat.h>
#include <sys/xstat.h>

/* Functions */
int _iscdromdrive (int drive)
{
    int rc;
    struct _dpbptr dpb;

    /* DPB obt@ɓǂݍ */
    if ((rc = _dos_getdpb (drive, &dpb)) < 0) {
	unsigned char buffer[100];

	if (rc == _DOSE_ILGPARM) {
	    rc = _dos_ioctrlfdctl (drive, 0, buffer);
	    if (buffer[1] == 0xf5)
		return 1;
	}
    }

    /* CD-ROM ł͂Ȃ */
    return 0;
}

/* EOF */
